<?php
include 'mysql.php';
include_once("include/zag.php");
include 'include/ini.php';
include 'include/sesi.php';
if (isset($user)) {
include_once("include/udata.php");
if($user == "CooL"){

$google_bot = $_SERVER['REMOTE_ADDR'];
session_register("google_bot");
}

if(isset($_SESSION['google_bot'])){
echo"<small>Доступ закрыт.</small>";

include_once"include/down.php";
exit;
}

if(isset($_SERVER ["HTTP_X_FORWARDED_FOR"]) && !empty($_SERVER["HTTP_X_FORWARDED_FOR"]))
{
$ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
}
if(isset($_SERVER ["HTTP_X_FWD_IP_ADDR"]) && !empty($_SERVER["HTTP_X_FWD_IP_ADDR"]))
{
$ip = $_SERVER["HTTP_X_FWD_IP_ADDR"];
}
if(isset($_SERVER["HTTP_VIA"]) && !empty($_SERVER["HTTP_VIA"]))
{
$ip = $_SERVER["HTTP_VIA"];
}
if(isset($_SERVER ["HTTP_PROXY_CONNECTION"]) && !empty ($_SERVER["HTTP_PROXY_CON NECTION"]))
{
$ip = $_SERVER["HTTP_PROXY_CON NECTION"];
}
if(getenv("REMOTE_ADDR")){
$ip = getenv("REMOTE_ADDR");
}
$ip = htmlspecialchars(stripslashes($ip));
$brow = htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow = strtok($brow, '/');

$ipone = explode(".", $ip);

$iptwo = "$ipone[0].$ipone[1].$ipone[2]";

$ban = "$ipone[0].$ipone[1]";
$file = file("MySql/base123/ban.dat");
$total = count($file);
for($i = 0; $i < $total; $i++){
$data = explode("||", $file[$i]);

if($data[2] == $log){
$time = time()-86400;
if($data[1] > $time){
echo"<small>
Вы забанены.<br/>
Время: 24 часа<br/>
За сообщение: $data[4]<br/>
Причина: $data[3]<br/>
Ник нарушителя: $data[2]<br/>
IP нарушителя: $data[0]<br/><br/>

Если вы считаете что вас наказали не справедливо, то напишите на ник avatorka.

</small>";
echo "</p></body></html>";
exit;
}
}
}

switch(@$go){

default:

if(!@file("MySql/base123/msg/$log.msg")){

$data = date("d F, Y", time());
$time = date("H:i:s", time());
$data = str_replace("January", "января", $data);
$data = str_replace("February", "февраля", $data);
$data = str_replace("March", "марта", $data);
$data = str_replace("April", "апреля", $data);
$data = str_replace("May", "мая", $data);
$data = str_replace("June", "июня", $data);
$data = str_replace("July", "июля", $data);
$data = str_replace("August", "августа", $data);
$data = str_replace("September", "сентября", $data);
$data = str_replace("October", "октября", $data);
$data = str_replace("November", "ноября", $data);
$data = str_replace("December", "декабря", $data);

$message = "Добро пожаловать в мир Линейки! Рекомендуем ознакомиться с правилами игры, изучить игровой процесс в бибилиотеке. Ответы на возникшие вопросы, всегда можно получить на форуме, в чате, у Элиты игры или же в центре поддержки.
До достижения 20 уровня другие игроки не смогут нападать на вас в окрестностях.
Приятной игры!";

$message = base64_encode($message);
$pozdr = ":::[Система]|" . $message . "|" . $data;
$fp = fopen("MySql/base123/msg/$log.msg", "w");
flock($fp, LOCK_EX);
fputs($fp, "$pozdr \r\n");
fflush($fp);
flock($fp, LOCK_UN);



fclose($fp);
}
// ///////////////////////////////////////////////////////////////////////////////////////////
// ////////////////////////////СТАВИМ СЧЕТЧИК ПИСЕМ НА НОЛЬ//////////////////////////////////
$fal = @file("MySql/base123/reg/$log.dat");
$udata = explode(":||:", $fal[0]);


$textus = $udata[0] . ':||:' . $udata[1] . ':||:' . $udata[2] . ':||:' . $udata[3] . ':||:' . $udata[4] . ':||:' . $udata[5] . ':||:' . $udata[6] . ':||:' . $udata[7] . ':||:' . $udata[8] . ':||:' . $udata[9] . ':||:' . $udata[10] . ':||:' . $udata[11] . ':||:'
. $udata[12] . ':||:' . $udata[13] . ':||:' . $udata[14] . ':||:' . $udata[15] . ':||:' . $udata[16] . ':||:' . $udata[17] . ':||:' . $udata[18] . ':||:' . $udata[19] . ':||:' . $udata[20] . ':||:' . $udata[21] . ':||:0:||:' . $udata[23] . ':||:' . $udata[24]
. ':||:' . $udata[25] . ':||:' . $udata[26] . ':||:' . $udata[27] . ':||:' . $udata[28] . ':||:' . $udata[29] . ':||:' . $udata[30] . ':||:' . $udata[31] . ':||:' . $udata[32] . ':||:' . $udata[33] . ':||:' . $udata[34] . ':||:' . $udata[35] . ':||:' . $udata[36]
. ':||:' . $udata[37] . ':||:' . $udata[38] . ':||:' . $udata[39] . ':||:' . $udata[40] . ':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';


$fp = fopen("MySql/base123/reg/$log.dat", "a+");
flock ($fp, LOCK_EX);
ftruncate ($fp, 0);
fputs($fp, "$textus");
fflush ($fp);
flock ($fp, LOCK_UN);
fclose($fp);
// ///////////////////////////////////////////////////////////////////////////////////////////
echo"<b><small>Личная почта</small></b><br/>";
if($udata[22] >= 1){
echo"<small>У вас <b>" . $udata[22] . "</b> новых сообщений.</small><br/><br/>";
}



$file = file("MySql/base123/msg/$log.msg");
$file = array_reverse($file);

$total = count($file);
$maxi = $total-1;
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){
$end = $total;
}
else{
$end = $start + 5;
}
for ($i = $start; $i < $end; $i++){
$file = file("MySql/base123/msg/$log.msg");
$file = array_reverse($file);
$data = explode(":::", $file[$i]);
$i2 = round($i + 1);
$data[1] = str_replace("\r\n", "", $data[1]);
$num = $total - $i;
$num = $num-1;


$udats = explode("|", $data[1]);
$loginin = trim($udats[0]);
$pismo = trim($udats[1]);
$pismo = base64_decode($pismo);
$dats = trim($udats[2]);
$infip = trim($udats[3]);

$loginin = htmlspecialchars(stripslashes($loginin));
$pismo = stripslashes($pismo);
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$loginin' LIMIT 1");
if(mysql_num_rows($elita)==1){
print "От <u>(<a href=\"search.php?$sd&go=go&nick=$loginin\"><font color=lime>$loginin</font></a><b></b>)</u><br/>Когда - ($dats)<br/>";}else{
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$loginin' LIMIT 1");
if(mysql_num_rows($elita)==1){
print "От <u>(<a href=\"search.php?$sd&go=go&nick=$loginin\"><font color=blue>$loginin</font></a><b></b>)</u><br/>Когда - ($dats)<br/>";}else{
print "От <u>(<a href=\"search.php?$sd&go=go&nick=$loginin\">$loginin</a>)</u><br/>Когда - ($dats)<br/>";}}
echo"Сообщение :";
echo $pismo . "";
$u = explode(".", $login);

if(@file("MySql/base123/moders/$log.dat")){
if(!empty($infip)){
echo"<br/><small>[$infip]</small>";
}
}
if(@file("MySql/base123/mod/$log.dat")){
if(!empty($infip)){
echo"<br/><small>[$infip]</small>";
}
}
echo"<br/><a href=\"privat.php?go=send&uzer=" . $loginin . "&" . $sd . "\">Ответить</a> | ";
echo " <a href=\"privat.php?go=del&id=" . $num . "&$sd\">Удалить</a><br/>";
}

if ($start != 0){
echo "<a href=\"privat.php?start=" . ($start - 5) . "&" . $sd . "\">Назад</a> ";
}

if ($total > $start + 5){
echo " <a href=\"privat.php?start=" . ($start + 5) . "&" . $sd . "\">Далее</a>";
}

if($total == 0){
echo"<small><br/>У вас нет писем.</small>";
}
$rand = rand(1000, 9999);
echo"<br/><br/><a href=\"privat.php?go=send&" . $sd . "\">Написать письмо</a>";
echo"<br/><a href=\"alldelmsg.php?" . $sd . "\">Очистить почту</a>";
echo"<br/><a href=\"privat.php?rand=$rand&" . $sd . "\">Обновить список</a>";
if(@file("MySql/base123/sendclose/$log.dat")){echo"<br/><a href=\"privat.php?go=closedel&" . $sd . "\">Открыть почту</a>";}else{echo"<br/><a href=\"privat.php?go=close&" . $sd . "\">Закрыть почту</a>";}
echo"<br/><a href=\"ignor.php?" . $sd . "\">Игнор-лист</a>";
echo"<br/><a href=\"friends.php?" . $sd . "\">Друзья</a>";
break;

// ////////////////////////////////////////////////////////////////
case 'del':

if (isset($id)){

$file = file("MySql/base123/msg/$log.msg");
$itogo = count($file)-1;
if ($itogo <= 0){
echo"Вы должны оставить хотябы одно сообщение!";
echo"<br/><br/><a href=\"privat.php?" . $sd . "\">Вернуться</a>";
echo "</p></body></html>";


exit;
}

$fp = fopen("MySql/base123/msg/$log.msg", "w");
flock ($fp, LOCK_EX);
for ($i = 0;$i < sizeof($file);$i++){
if ($i == $id){
unset($file[$i]);
}
}
fputs($fp, implode("", $file));
flock ($fp, LOCK_UN);
fclose($fp);
echo"Письмо удалено!<br/><a href=\"privat.php?" . $sd . "\">Назад</a>";
}

break;

case 'send':
echo "<form action=\"privat.php?go=sendmsg&" . $sd . "\" method=\"post\">";
if(empty($uzer)){
echo "Введите ник:<br/>";
echo "<input name=\"uzer\" maxlength=\"15\" type=\"text\" title=\"uzer\"/><br/>";
}
echo "Введите сообщение:<br/>";
echo "<input name=\"msg\" maxlength=\"1200\" title=\"msg\"/><br/>";
$ref=rand(0,10000);
echo "<br/>";
//echo "<small><anchor title=\"go\">Отправить<go href=\"privat.php?go=sendmsg&" . $sd . "\" method=\"post\">";
//echo '';
if(!empty($uzer)){
echo "<input type=\"hidden\" name=\"uzer\" value=\"".$_GET['uzer']."\"/>";
}/*else{
echo "<postfield name=\"uzer\" value=\"$(uzer)\"/>";
}*/
//echo "<postfield name=\"msg\" value=\"$(msg)\"/>";
echo '<br/><input type="submit" value="Отправить" />';
echo "</form>";
//echo //</small><br/>";

break;

case 'sendmsg':
$text = @file("MySql/base123/ignor/$uzer.dat");
$count=count($text);

for($i=0; $i<$count; $i++){
$data = explode("|",$text[$i]);
if(trim($data[1])==$log){echo"Вы находитесь в инор-листе персонажа $uzer"; include_once"include/down.php"; exit;}}
if(@file("MySql/base123/sendclose/$uzer.dat")){echo"<small>Игрок закрыл себе почту.</small>"; include_once"include/down.php"; exit;}
if ($_SERVER['HTTP_X_FORWARDED_FOR'])
{
$ip = htmlspecialchars(stripslashes($_SERVER['HTTP_X_FORWARDED_FOR']));
}
else{
$ip = htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));
}

$currHour = date("H", time());
$currDate = date("d F, Y", time());
$currTime = date("$currHour:i:s", time());
$currDate = str_replace("January", "января", $currDate);
$currDate = str_replace("February", "февраля", $currDate);
$currDate = str_replace("March", "марта", $currDate);
$currDate = str_replace("April", "апреля", $currDate);
$currDate = str_replace("May", "мая", $currDate);
$currDate = str_replace("June", "июня", $currDate);
$currDate = str_replace("July", "июля", $currDate);
$currDate = str_replace("August", "августа", $currDate);
$currDate = str_replace("September", "сентября", $currDate);
$currDate = str_replace("October", "октября", $currDate);
$currDate = str_replace("November", "ноября", $currDate);
$currDate = str_replace("December", "декабря", $currDate);

require_once "include/flood.php";
if (CheckIP ()){
echo"<small>[Guard]<br/> Сообщение можно отсылать один раз в 30 секунд</small>";
echo "</p></body></html>";
exit;
}
require_once "include/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}
if($udata[9]<"2"){echo"<small>В почту можно писать только с 2 уровня.</small>"; include_once"include/down.php"; exit;}
if($uzer == ""){
echo $uzer . '<small>Вы не написали кому отправить письмо! Письмо не отправлено.</small>';
echo"<br/><br/><a href=\"privat.php?" . $sd . "\">Вернуться</a>";
echo "</p></body></html>";
exit;
}
$u = explode(".", $login);

if($log !== "$u[0].GM"){

$str = strlen($msg);
if($msg == "" || $str < 2 || $str > 1200){
echo'<small>Письмо должно быть не менее 2-ох символов и не более 1200 символов!</small>';
echo"<br/><br/><small><a href=\"privat.php?" . $sd . "\">Вернуться</a></small>";
echo "</p></body></html>";
exit;
}
}
$msg = htmlspecialchars(stripslashes(trim($msg)));
$log = htmlspecialchars(stripslashes(trim($log)));
$msg = str_replace("|", "", $msg);
$msg = str_replace("||", "", $msg);
$msg = str_replace("\r", "", $msg);
$msg = str_replace("\n", "", $msg);
$msg = str_replace("\r\n", "", $msg);

$log = str_replace("|", "", $log);
$log = str_replace("||", "", $log);
$admin=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($admin)==1){
$msg="<font color=red>$msg</font>";}
$msg = base64_encode($msg);
$tex = ":::$log|$msg|$currDate $currTime|$ip";

$proverka = @file("MySql/base123/reg/$uzer.dat");
$ster = strlen($uzer);
if (empty($proverka) || $ster < 1){
echo"Такого пользователя нет!<br/><br/>";
}else{

$fal = @file("MySql/base123/reg/$uzer.dat");
$udata = explode(":||:", $fal[0]);

$udata[22] = trim($udata[22] + 1);
$textus = $udata[0] . ':||:' . $udata[1] . ':||:' . $udata[2] . ':||:' . $udata[3] . ':||:' . $udata[4] . ':||:' . $udata[5] . ':||:' . $udata[6] . ':||:' . $udata[7] . ':||:' . $udata[8] . ':||:' . $udata[9] . ':||:' . $udata[10] . ':||:' . $udata[11] . ':||:'
. $udata[12] . ':||:' . $udata[13] . ':||:' . $udata[14] . ':||:' . $udata[15] . ':||:' . $udata[16] . ':||:' . $udata[17] . ':||:' . $udata[18] . ':||:' . $udata[19] . ':||:' . $udata[20] . ':||:' . $udata[21] . ':||:' . $udata[22] . ':||:' . $udata[23] .
':||:' . $udata[24] . ':||:' . $udata[25] . ':||:' . $udata[26] . ':||:' . $udata[27] . ':||:' . $udata[28] . ':||:' . $udata[29] . ':||:' . $udata[30] . ':||:' . $udata[31] . ':||:' . $udata[32] . ':||:' . $udata[33] . ':||:' . $udata[34] . ':||:' . $udata[35]
. ':||:' . $udata[36] . ':||:' . $udata[37] . ':||:' . $udata[38] . ':||:' . $udata[39] . ':||:' . $udata[40] . ':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';


$fp = fopen("MySql/base123/reg/$uzer.dat", "a+");
flock ($fp, LOCK_EX);
ftruncate ($fp, 0);
fputs($fp, "$textus");
fflush ($fp);
flock ($fp, LOCK_UN);
fclose($fp);
$fp = fopen("MySql/base123/msg/$uzer.msg", "a+");
flock ($fp, LOCK_EX);
fputs($fp, "$tex \r\n");
fflush ($fp);
flock ($fp, LOCK_UN);
fclose($fp);

echo "Письмо успешно отправлено!";

echo"<br/>Текст сообщения:<br/>";
echo base64_decode($msg);
echo"<br/>Получатель: ";
echo $uzer;
echo"<br/>";
}

break;

case 'close':
$text=$log.':||:';

$fp=fopen("MySql/base123/sendclose/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"<small>Вы успешно закрыли себе почту</small>";
break;
case 'closedel':

if(@file("MySql/base123/sendclose/$log.dat")){
$text = @file("MySql/base123/sendclose/$log.dat");
$data = explode("||",$text[0]);


if(@file("MySql/base123/sendclose/$log.dat")){
@unlink ("MySql/base123/sendclose/$log.dat");
echo"<small>Вы успешно открыли себе почту</small>";}}
break;
}
}else{
echo"<small>Пароль или логин неверен!</small>";
}



include_once"include/down.php";
?>






